<?php

namespace Hura8\Components\Article\Controller;

use Hura8\Components\Article\Model\ArticleCategoryLanguageModel;
use Hura8\Components\Article\Model\ArticleCategoryModel;
use Hura8\System\Controller\aCategoryBaseController;


class bArticleCategoryController extends aCategoryBaseController
{

    /* @var ArticleCategoryModel $objArticleCategoryModel */
    protected  $objArticleCategoryModel;

    public function __construct()
    {
        $this->objArticleCategoryModel = new ArticleCategoryModel();

        if(!$this->isDefaultLanguage()) {

            parent::__construct(
                $this->objArticleCategoryModel,
                new ArticleCategoryLanguageModel()
            );

        } else {

            parent::__construct($this->objArticleCategoryModel);

        }
    }


}
